package class10_2_SecurityMrFixRevisited_start;

public class Salary {
    /**
     * The amount added to the salary as a fraction of the current salary.
     * For example, 0.02 means a 2% raise.
     */
    public static final double RAISE_RATE = 0.02;

    private int dollars;
    private int cents;

    public Salary(int dollars, int cents) {
        this.dollars = dollars;
        this.cents = cents;
    }

    public int getDollars() {
        return dollars;
    }

    public int getCents() {
        return cents;
    }

    public void setDollars(int dollars) {
        this.dollars = dollars;
    }

    public void setCents(int cents) {
        this.cents = cents;
    }

    public Salary createRaisedSalary() {
        int totalPennies = dollars * 100 + cents;
        totalPennies = (int)(totalPennies*(1+ RAISE_RATE));
        return new Salary (totalPennies % 100,totalPennies/100);
    }
}
